## fiona 1.8.18

=== requirements.txt ===
attrs==18.2.0
click-plugins==1.0.4
cligj==0.5.0
munch==2.3.2
six==1.11.0
enum34==1.1.6 ; python_version < '3.4'
certifi

=== debian/changelog ===
fiona (1.8.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump watch file version to 4.
  * Add python3-ceritifi to build dependencies.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Nov 2020 04:24:09 +0100

fiona (1.8.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Sep 2020 05:51:36 +0200

fiona (1.8.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Sep 2020 06:45:00 +0200

fiona (1.8.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Sep 2020 06:19:41 +0200

fiona (1.8.14-3) unstable; urgency=medium

  * Team upload.
  * Also mark test_append_or_driver_error as flaky.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 08:39:46 +0200

fiona (1.8.14-2) unstable; urgency=medium

  * Team upload.
  * Add patch to mark test_write_or_driver_error as flaky.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 07:32:18 +0200

fiona (1.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.
  * Mark patches as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 06:08:59 +0200

fiona (1.8.13-3) unstable; urgency=medium

  * Team upload.
  * Add patch to mark test_mapinfo as flaky.
    (closes: #964461)
  * Fix manpage.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2020 18:43:25 +0200

fiona (1.8.13-2) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update watch file to not match post releases.
  * Bump debhelper compat to 10.
  * Add upstream patch to fix FTBFS with GDAL 3.1.
    (closes: #960369)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 May 2020 15:12:39 +0200

=== debian/control ===
Source: fiona
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan@vandewauw.be>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10~),
               dh-python,
               gdal-bin,
               libgdal-dev,
               cython3 (>= 0.21),
               python3-all,
               python3-all-dev,
               python3-attr,
               python3-boto3,
               python3-certifi,
               python3-click-plugins,
               python3-cligj,
               python3-mock,
               python3-munch,
               python3-pytest,
               python3-setuptools,
               python3-six,
               python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
Homepage: https://github.com/Toblerity/Fiona

Package: python3-fiona
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: fiona-doc
Description: Python 3 API for reading/writing vector geospatial data
 Fiona is a Python wrapper around the OGR vector data abstraction library.
 Fiona is designed to be simple and dependable. It focuses on reading
 and writing data in standard Python IO style and relies upon familiar
 Python types and protocols such as files, dictionaries, mappings, and
 iterators instead of classes specific to OGR. Fiona can read and write
 real-world data using multi-layered GIS formats and zipped virtual
 file systems and integrates readily with other Python GIS packages
 such as pyproj, Rtree, and Shapely.
 .
 This package provides the Python 3 API

Package: fiona
Architecture: any
Section: science
Depends: python3-fiona (= ${binary:Version}),
         python3-click-plugins,
         ${python3:Depends},
         ${misc:Depends}
Suggests: fiona-doc
Description: Command line tool for reading/writing vector geospatial data
 Fiona is a Python wrapper around the OGR vector data abstraction library.
 Fiona is designed to be simple and dependable. It focuses on reading
 and writing data in standard Python IO style and relies upon familiar
 Python types and protocols such as files, dictionaries, mappings, and
 iterators instead of classes specific to OGR. Fiona can read and write
 real-world data using multi-layered GIS formats and zipped virtual
 file systems and integrates readily with other Python GIS packages
 such as pyproj, Rtree, and Shapely.
 .
 This package provides the fiona command line tools

Package: fiona-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Python API for reading/writing vector geospatial data (docs)
 Fiona is a Python wrapper around the OGR vector data abstraction library.
 Fiona is designed to be simple and dependable. It focuses on reading
 and writing data in standard Python IO style and relies upon familiar
 Python types and protocols such as files, dictionaries, mappings, and
 iterators instead of classes specific to OGR. Fiona can read and write
 real-world data using multi-layered GIS formats and zipped virtual
 file systems and integrates readily with other Python GIS packages
 such as pyproj, Rtree, and Shapely.
 .
 This package contains the html documentation for Fiona.

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/fiona-$1.$2/ \
https://github.com/Toblerity/Fiona/releases \
(?:.*/archive/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fiona 1.8.21

=== requirements.txt ===
attrs==21.2.0
click-plugins==1.0.4
cligj==0.5.0
munch==2.3.2
six==1.16.0
enum34==1.1.6 ; python_version < '3.4'
certifi

=== debian/changelog ===
fiona (1.8.21-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:40:26 +0000

fiona (1.8.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update doc-base paths.
  * Update watch file to use tags instead of releases.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Feb 2022 17:27:22 +0100

fiona (1.8.20-2) unstable; urgency=medium

  * Team upload.
  * Set GDAL_ENABLE_DEPRECATED_DRIVER_GTM=YES to fix test failures.
  * Skip tests/test_drvsupport.py, fails with GDAL 3.3.1.
    (closes: #992526)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 11:08:06 +0200

fiona (1.8.20-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 14:39:44 +0200

fiona (1.8.20-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jun 2021 05:42:39 +0200

fiona (1.8.19-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Apr 2021 05:57:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                gdal-bin,
                libgdal-dev,
@@ -21,7 +21,7 @@
                python3-setuptools,
                python3-six,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export GDAL_ENABLE_DEPRECATED_DRIVER_GTM=YES

export PYBUILD_NAME=fiona
export PYBUILD_AFTER_BUILD_python3 = mkdir -p doc-build && cd doc-build && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python{version} -m sphinx -N -bhtml -D today="$(BUILD_DATE)" ../docs/ ../build/html
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=--ignore tests/test_bytescollection.py \
                         --ignore tests/test_collection.py \
                         --ignore tests/test_data_paths.py \
                         --ignore tests/test_drvsupport.py \
                         --ignore tests/test_feature.py \
                         --ignore tests/test_filter_vsi.py \
                         --ignore tests/test_fio_bounds.py \
                         --ignore tests/test_fio_calc.py \
                         --ignore tests/test_fio_cat.py \
                         --ignore tests/test_fio_collect.py \
                         --ignore tests/test_fio_distrib.py \
                         --ignore tests/test_fio_dump.py \
                         --ignore tests/test_fio_filter.py \
                         --ignore tests/test_fio_info.py \
                         --ignore tests/test_fio_load.py \
                         --ignore tests/test_fio_ls.py \
                         --ignore tests/test_fio_rm.py \
                         --ignore tests/test_geopackage.py \
                         --ignore tests/test_layer.py \
                         --ignore tests/test_listing.py \
                         --ignore tests/test_profile.py \
                         --ignore tests/test_unicode.py \
                         --ignore tests/test_vfs.py

%:
	dh  $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp Fiona.egg-info/
	rm -rf doc-build

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(filter $(DEB_BUILD_ARCH),hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_install:
	dh_install
	rm -rf debian/python3-fiona/usr/bin

debian/fiona.1:
	help2man fiona -N -L en_US.utf8 -n "command line tools for reading/writing geospatial vector data" >debian/fiona.1

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/fiona-$1.$2/ \
https://github.com/Toblerity/Fiona/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fiona 1.8.22

=== debian/changelog ===
fiona (1.8.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file to also ignore dev and alpha releases.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.
  * Require at least cython3 0.29.29.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Oct 2022 07:06:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                dh-python,
                gdal-bin,
                libgdal-dev,
-               cython3 (>= 0.21),
+               cython3 (>= 0.29.29),
+               pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
                python3-attr,
@@ -18,10 +19,9 @@
                python3-mock,
                python3-munch,
                python3-pytest,
-               python3-setuptools,
                python3-six,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

## fiona 1.9.0

=== requirements.txt ===
attrs>=19.2.0
click~=8.0
click-plugins
cligj>=0.5.0
munch>=2.3.2
setuptools>=61.0
certifi

=== debian/changelog ===
fiona (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop no-distutils.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2023 09:09:48 +0100

fiona (1.9~b2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add patch to not use deprecated distutils module.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 19:55:03 +0100

fiona (1.9~b1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Add Rules-Requires-Root to control file.
  * Drop obsolete mock & six build dependencies.
  * Refresh patches.
  * Drop fiona-doc package, fails to build.
  * Copy pytest.ini to pybuild build directory.
  * Ignore additional tests that fail without network.
  * Add python3-tz to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Dec 2022 19:20:56 +0100

=== debian/control ===
--- 
+++ 
@@ -16,22 +16,21 @@
                python3-certifi,
                python3-click-plugins,
                python3-cligj,
-               python3-mock,
                python3-munch,
                python3-pytest,
-               python3-six,
-               python3-sphinx
-Standards-Version: 4.6.1
+               python3-setuptools,
+               python3-tz
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona
+Rules-Requires-Root: no
 
 Package: python3-fiona
 Architecture: any
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: fiona-doc
 Description: Python 3 API for reading/writing vector geospatial data
  Fiona is a Python wrapper around the OGR vector data abstraction library.
  Fiona is designed to be simple and dependable. It focuses on reading
@@ -51,7 +50,6 @@
          python3-click-plugins,
          ${python3:Depends},
          ${misc:Depends}
-Suggests: fiona-doc
 Description: Command line tool for reading/writing vector geospatial data
  Fiona is a Python wrapper around the OGR vector data abstraction library.
  Fiona is designed to be simple and dependable. It focuses on reading
@@ -63,20 +61,3 @@
  such as pyproj, Rtree, and Shapely.
  .
  This package provides the fiona command line tools
-
-Package: fiona-doc
-Architecture: all
-Section: doc
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
-Description: Python API for reading/writing vector geospatial data (docs)
- Fiona is a Python wrapper around the OGR vector data abstraction library.
- Fiona is designed to be simple and dependable. It focuses on reading
- and writing data in standard Python IO style and relies upon familiar
- Python types and protocols such as files, dictionaries, mappings, and
- iterators instead of classes specific to OGR. Fiona can read and write
- real-world data using multi-layered GIS formats and zipped virtual
- file systems and integrates readily with other Python GIS packages
- such as pyproj, Rtree, and Shapely.
- .
- This package contains the html documentation for Fiona.

=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,14 @@
 export LC_ALL=C.UTF-8
 export LANG=C.UTF-8
 
-BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
-
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 export GDAL_ENABLE_DEPRECATED_DRIVER_GTM=YES
 
 export PYBUILD_NAME=fiona
-export PYBUILD_AFTER_BUILD_python3 = mkdir -p doc-build && cd doc-build && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python{version} -m sphinx -N -bhtml -D today="$(BUILD_DATE)" ../docs/ ../build/html
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
+export PYBUILD_BEFORE_TEST=cp -r pytest.ini {dir}/tests {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/pytest.ini {build_dir}/tests
 export PYBUILD_TEST_ARGS=--ignore tests/test_bytescollection.py \
                          --ignore tests/test_collection.py \
                          --ignore tests/test_data_paths.py \
@@ -35,19 +32,20 @@
                          --ignore tests/test_fio_ls.py \
                          --ignore tests/test_fio_rm.py \
                          --ignore tests/test_geopackage.py \
+                         --ignore tests/test_http_session.py \
                          --ignore tests/test_layer.py \
                          --ignore tests/test_listing.py \
                          --ignore tests/test_profile.py \
                          --ignore tests/test_unicode.py \
-                         --ignore tests/test_vfs.py
+                         --ignore tests/test_vfs.py \
+                         --ignore tests/test_write.py
 
 %:
-	dh  $@ --with python3,sphinxdoc --buildsystem pybuild
+	dh  $@ --with python3 --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean
 	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp Fiona.egg-info/
-	rm -rf doc-build
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/fiona-$1.$2/ \
https://github.com/Toblerity/Fiona/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|r|v|fiona)?[\-\_]?(\d\S+(?<!post\d)(?<!dev\d)(?<!a\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fiona 1.9.3

=== debian/changelog ===
fiona (1.9.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Apr 2023 05:27:08 +0200

fiona (1.9.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Mar 2023 05:28:33 +0100

fiona (1.9.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Feb 2023 07:19:16 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-tz
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
-Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git -b experimental
 Homepage: https://github.com/Toblerity/Fiona
 Rules-Requires-Root: no

## fiona 1.9.4

=== debian/changelog ===
fiona (1.9.4-3) unstable; urgency=medium

  * Team upload.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
  * Add patch to fix pytz.exceptions.UnknownTimeZoneError: 'US/Mountain'.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Aug 2023 17:05:16 +0200

fiona (1.9.4-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat to 13.
  * Add upstream patch to not install all .py files in wheel.
    (closes: #1040361)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Jul 2023 10:56:53 +0200

fiona (1.9.4-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 12:37:37 +0200

fiona (1.9.4-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 May 2023 05:18:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                gdal-bin,
                libgdal-dev,
@@ -22,9 +22,10 @@
                python3-tz
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
-Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-fiona
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,6 @@
 %:
 	dh  $@ --with python3 --buildsystem pybuild
 
-override_dh_clean:
-	dh_clean
-	rm -rf fiona/*.so gdal-config.txt fiona/*.c VERSION.txt fiona/*.cpp Fiona.egg-info/
-
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
 ifneq (,$(filter $(DEB_BUILD_ARCH),hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64))
@@ -55,8 +51,7 @@
 	dh_auto_test
 endif
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm -rf debian/python3-fiona/usr/bin
 
 debian/fiona.1:

## fiona 1.9.5

=== requirements.txt ===
attrs>=19.2.0
click~=8.0
click-plugins
cligj>=0.5.0
importlib-metadata;python_version<"3.10"
munch>=2.3.2
certifi

=== debian/changelog ===
fiona (1.9.5-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:06 +1100

fiona (1.9.5-1build3) noble; urgency=high

  * No change rebuild against libgdal34t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:01:55 +0100

fiona (1.9.5-1build2) noble; urgency=medium

  * Rebuild against new libgdal34.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 19:14:37 +0100

fiona (1.9.5-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 10:20:24 +0100

fiona (1.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to dh-sequence-*.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Oct 2023 05:21:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: fiona
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                gdal-bin,
                libgdal-dev,
                cython3 (>= 0.29.29),

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
                          --ignore tests/test_write.py
 
 %:
-	dh  $@ --with python3 --buildsystem pybuild
+	dh  $@ --buildsystem pybuild
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only

## fiona 1.9.6

=== Makefile ===
PYTHON_VERSION ?= 3.10
GDAL ?= ubuntu-small-3.6.4
all: deps clean install test

.PHONY: docs

install:
	python setup.py build_ext
	pip install -e .[all]

deps:
	pip install -r requirements-dev.txt

clean:
	pip uninstall -y fiona || echo "no need to uninstall"
	python setup.py clean --all
	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
	touch fiona/*.pyx

sdist:
	python setup.py sdist

test:
	py.test --maxfail 1 -v --cov fiona --cov-report html --pdb tests

docs:
	cd docs && make apidocs && make html

doctest:
	py.test --doctest-modules fiona --doctest-glob='*.rst' docs/*.rst

dockertestimage:
	docker build --build-arg GDAL=$(GDAL) --build-arg PYTHON_VERSION=$(PYTHON_VERSION) --target gdal -t fiona:$(GDAL)-py$(PYTHON_VERSION) .

dockertest: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m pip install -e . && /venv/bin/python -B -m pytest -m "not wheel" --cov fiona --cov-report term-missing $(OPTS)'

dockershell: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m build && /venv/bin/python -m pip install --pre -f dist fiona && /bin/bash'

dockersdist: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m build --sdist'

dockergdb: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && gdb -ex=r --args /venv/bin/python -B -m pytest -m "not wheel" --cov fiona --cov-report term-missing $(OPTS)'

dockerdocs: dockertestimage
	docker run -it -v $(shell pwd):/app --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c 'source /venv/bin/activate && python -m pip install . && cd docs && make clean && make html'

=== debian/changelog ===
fiona (1.9.6-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with GCC 14.
    (closes: #1074959)
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Jul 2024 19:14:33 +0200

fiona (1.9.6-1) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Improve cross building: Annotate test dependencies <!nocheck>.
    (Closes: #1059722)

  [ Bas Couwenberg ]
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Mar 2024 05:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fiona
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
@@ -19,10 +18,10 @@
                python3-click-plugins,
                python3-cligj,
                python3-munch,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-tz
-Standards-Version: 4.6.2
+               python3-tz <!nocheck>,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona

## fiona 1.10.1

=== Makefile ===
PYTHON_VERSION ?= 3.12
GDAL ?= ubuntu-small-3.9.2
all: deps clean install test

.PHONY: docs

install:
	python setup.py build_ext
	pip install -e .[all]

deps:
	pip install -r requirements-dev.txt

clean:
	pip uninstall -y fiona || echo "no need to uninstall"
	python setup.py clean --all
	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
	touch fiona/*.pyx

sdist:
	python setup.py sdist

test:
	python -m pytest --maxfail 1 -v --cov fiona --cov-report html --pdb tests

docs:
	cd docs && make apidocs && make html

doctest:
	py.test --doctest-modules fiona --doctest-glob='*.rst' docs/*.rst

dockertestimage:
	docker build --target gdal --build-arg GDAL=$(GDAL) --build-arg PYTHON_VERSION=$(PYTHON_VERSION) -t fiona:$(GDAL)-py$(PYTHON_VERSION) .

dockertest: dockertestimage
	docker run -it -v $(shell pwd):/app -v /tmp:/tmp --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m pip install -vvv --editable .[all] --no-build-isolation && /venv/bin/python -B -m pytest -m "not wheel" --cov fiona --cov-report term-missing $(OPTS)'

dockershell: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m pip install --editable . --no-build-isolation && /bin/bash'

dockersdist: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m build --sdist'

dockergdb: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m pip install --editable . --no-build-isolation && gdb -ex=r --args /venv/bin/python -B -m pytest -m "not wheel" --cov fiona --cov-report term-missing $(OPTS)'

dockerdocs: dockertestimage
	docker run -it -v $(shell pwd):/app --entrypoint=/bin/bash fiona:$(GDAL)-py$(PYTHON_VERSION) -c 'source /venv/bin/activate && cd docs && make clean && make html'

dockertestimage-amd64:
	docker build --platform linux/amd64 --target gdal --build-arg GDAL=$(GDAL) --build-arg PYTHON_VERSION=$(PYTHON_VERSION) -t fiona-amd64:$(GDAL)-py$(PYTHON_VERSION) .

dockertest-amd64: dockertestimage-amd64
	docker run -it -v $(shell pwd):/app -v /tmp:/tmp --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash fiona-amd64:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m pip install tiledb && /venv/bin/python -m pip install --editable .[all] --no-build-isolation && /venv/bin/python -B -m pytest -m "not wheel" --cov fiona --cov-report term-missing $(OPTS)'

=== requirements.txt ===
attrs>=19.2.0
click~=8.0
click-plugins
cligj>=0.5.0
importlib-metadata;python_version<"3.10"
certifi

=== ci/rstcheck/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --strip-extras requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via sphinx
certifi==2024.7.4
    # via requests
charset-normalizer==3.2.0
    # via requests
click==8.1.7
    # via typer
colorama==0.4.6
    # via typer
commonmark==0.9.1
    # via rich
docutils==0.19
    # via
    #   rstcheck-core
    #   sphinx
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via sphinx
markupsafe==2.1.3
    # via jinja2
packaging==23.1
    # via sphinx
pydantic==1.10.13
    # via rstcheck-core
pygments==2.16.1
    # via
    #   rich
    #   sphinx
requests==2.32.0
    # via sphinx
rich==12.6.0
    # via typer
rstcheck==6.1.2
    # via -r requirements.in
rstcheck-core==1.0.3
    # via rstcheck
shellingham==1.5.3
    # via typer
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.2.5
    # via
    #   rstcheck
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.9
    # via sphinx
typer==0.7.0
    # via rstcheck
types-docutils==0.19.1.9
    # via rstcheck-core
typing-extensions==4.7.1
    # via pydantic
urllib3==2.2.2
    # via requests

=== debian/changelog ===
fiona (1.10.1-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Make pytest output verbose.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Replace python3-tz with python3-pytz.
  * Drop mips64el from autopkgtest-pkg-pybuild.conf.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * Add myself to Uploaders in d/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 13 Jan 2026 06:44:56 +0000

fiona (1.10.1-3) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 11:01:55 +0200

fiona (1.10.1-3~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Drop python3-click-plugins (build) dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Jun 2025 08:26:57 +0200

fiona (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with tzdata 2024b-3.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Oct 2024 16:07:23 +0200

fiona (1.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Sep 2024 04:58:41 +0200

fiona (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2024 06:26:40 +0200

fiona (1.10.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Drop python3-munch from build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Aug 2024 08:31:19 +0200

fiona (1.10~b3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Drop test_opener_fsspec_file_fs_listdir.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jul 2024 17:35:38 +0200

fiona (1.10~b2-1~exp1) experimental; urgency=medium

  * Team upload.
    (closes: #1074959)
  * New upstream release.
  * Ignore test failures on mips64el.
  * Add patch to fix test_opener_fsspec_file_fs_listdir failure.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2024 05:45:46 +0200

fiona (1.10~b1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Update copyright file.
  * Refresh patches.
  * Add build dependencies:
    - python3-aiohttp (for tests only)
    - python3-fsspec (for tests only)
    - python3-pyparsing
    - python3-requests (for tests only)
    - python3-shapely
  * Skip test_opener_fsspec_zip_http_fs, requires network.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Apr 2024 06:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: fiona
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Johan Van de Wauw <johan@vandewauw.be>
+Uploaders: Johan Van de Wauw <johan@vandewauw.be>,
+           Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
@@ -10,22 +10,24 @@
                libgdal-dev,
                cython3 (>= 0.29.29),
                pybuild-plugin-pyproject,
+               python3-aiohttp <!nocheck>,
                python3-all,
                python3-all-dev,
                python3-attr,
                python3-boto3,
                python3-certifi,
-               python3-click-plugins,
                python3-cligj,
-               python3-munch,
+               python3-fsspec <!nocheck>,
+               python3-pyparsing,
                python3-pytest <!nocheck>,
+               python3-pytz <!nocheck>,
+               python3-requests <!nocheck>,
                python3-setuptools,
-               python3-tz <!nocheck>,
-Standards-Version: 4.7.0
+               python3-shapely,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/fiona
 Vcs-Git: https://salsa.debian.org/debian-gis-team/fiona.git
 Homepage: https://github.com/Toblerity/Fiona
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-fiona
@@ -49,7 +51,6 @@
 Architecture: any
 Section: science
 Depends: python3-fiona (= ${binary:Version}),
-         python3-click-plugins,
          ${python3:Depends},
          ${misc:Depends}
 Description: Command line tool for reading/writing vector geospatial data

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_BEFORE_TEST=cp -r pytest.ini {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/pytest.ini {build_dir}/tests
-export PYBUILD_TEST_ARGS=--ignore tests/test_bytescollection.py \
+export PYBUILD_TEST_ARGS=-v \
+                         --ignore tests/test_bytescollection.py \
                          --ignore tests/test_collection.py \
                          --ignore tests/test_data_paths.py \
                          --ignore tests/test_drvsupport.py \
@@ -38,14 +39,15 @@
                          --ignore tests/test_profile.py \
                          --ignore tests/test_unicode.py \
                          --ignore tests/test_vfs.py \
-                         --ignore tests/test_write.py
+                         --ignore tests/test_write.py \
+                         -k "not test_opener_fsspec_zip_http_fs"
 
 %:
 	dh  $@ --buildsystem pybuild
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(filter $(DEB_BUILD_ARCH),hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64))
+ifneq (,$(filter $(DEB_BUILD_ARCH),hurd-i386 ppc64))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
